// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme;

/**
    Variables are used to support lexical/local compilation.
*/
public class Variable
{
    /**
        The name of this variable need to be heap allocated
    */
    public Symbol name;

    /**
        Whether the variables need to be heap allocated
    */
    public boolean heap;

    /**
        Whether the variables are live in the current lexical environment
    */
    public boolean dead;

    public Variable (Symbol name)
    {
        this.name = name;
    }

    public String toString ()
    {
        return name.toString();
    }
}
