// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.exception;

import bdc.scheme.SchemeException;
import bdc.util.Constants;
import bdc.util.Fmt;

public class ArgumentNaryException extends SchemeException
{
    int expected;
    int received;

    public ArgumentNaryException (int expected,
                                  int received)
    {
        this.expected = expected;
        this.received = received;
    }

    public String toString ()
    {
        return Fmt.S("At least %s arguments expected; %s received",
                     Constants.getInteger(expected), Constants.getInteger(received));
    }
}
