// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.exception;

import bdc.scheme.SchemeException;
import bdc.util.Fmt;
import bdc.util.SystemUtil;

public class PrimitiveException extends SchemeException
{
    public Throwable throwable;

    public PrimitiveException (Throwable throwable)
    {
        this.throwable = throwable;
    }

    public String toString ()
    {
        return Fmt.S("Primitive exception: \n%s", SystemUtil.stackTrace(throwable));
    }
}
