// Copyright (c) 1996-2002 Brian D. Carlstrom

package bdc.scheme.procedure;

import bdc.scheme.Stack;
import bdc.scheme.Scheme;
import bdc.scheme.SchemeException;
import bdc.scheme.expression.Procedure2;
import java.util.Map;

/**
    Primitive for Hashtable.get
*/
public class MapGet extends Procedure2
{
    public Object apply2 (Stack stack) throws SchemeException
    {
        Object o1 = stack.array[stack.inUse-1];
        Object o2 = stack.array[stack.inUse-2];
        Map map = Scheme.map(o1, this);
        return Scheme.nullToSchemeNull(map.get(Scheme.object(o2)));
    }
}
